Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.topics
Class HierarchicalPAM

    java.lang.Object
      cc.mallet.topics.HierarchicalPAM

    public class HierarchicalPAM

extends java.lang.Object

Hierarchical PAM, where each node in the DAG has a distribution over all topics on the next level and one additional "node-specific" topic.

Author:
  David Mimno

Field Summary
`protected static java.util.logging.Logger` | `logger`
`static int` | `NUM_LEVELS`
`static int` | `ROOT_TOPIC`
`static int` | `SUB_TOPIC`
`static int` | `SUPER_TOPIC`

Constructor Summary
`HierarchicalPAM(int superTopics, int subTopics, double superTopicBalance, double subTopicBalance)`

Method Summary
`void` | `estimate(InstanceList documents, InstanceList testing, int numIterations, int showTopicsInterval, int outputModelInterval, int optimizeInterval, java.lang.String outputModelFilename, Randoms r)`
`static void` | `main(java.lang.String[] args)`
`double` | `modelLogLikelihood()`
`void` | `printState(java.io.File f)`
`void` | `printState(java.io.PrintWriter out)`
`java.lang.String` | `printTopWords(int numWords, boolean useNewLines)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static java.util.logging.Logger logger

### NUM_LEVELS

    public static final int NUM_LEVELS

See Also:
  Constant Field Values

### ROOT_TOPIC

    public static final int ROOT_TOPIC

See Also:
  Constant Field Values

### SUPER_TOPIC

    public static final int SUPER_TOPIC

See Also:
  Constant Field Values

### SUB_TOPIC

    public static final int SUB_TOPIC

See Also:
  Constant Field Values

Constructor Detail

### HierarchicalPAM

    public HierarchicalPAM(int superTopics,
                           int subTopics,
                           double superTopicBalance,
                           double subTopicBalance)

Method Detail

### estimate

    public void estimate(InstanceList documents,
                         InstanceList testing,
                         int numIterations,
                         int showTopicsInterval,
                         int outputModelInterval,
                         int optimizeInterval,
                         java.lang.String outputModelFilename,
                         Randoms r)

### printTopWords

    public java.lang.String printTopWords(int numWords,
                                          boolean useNewLines)

### printState

    public void printState(java.io.File f)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### printState

    public void printState(java.io.PrintWriter out)

### modelLogLikelihood

    public double modelLogLikelihood()

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD